"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const source_scraper_core_1 = require("source-scraper-core");
const jsdom_1 = require("jsdom");
class DomRunner extends source_scraper_core_1.Runner {
    constructor() {
        super(...arguments);
        this.defaultOptions = {
            jsdomConfig: {}
        };
    }
    async exec(url, scraper, options) {
        const jsdom = await jsdom_1.JSDOM.fromURL(url, options.jsdomConfig);
        return scraper({
            url,
            options,
            jsdom,
            document: jsdom.window.document,
            window: jsdom.window
        });
    }
}
exports.DomRunner = DomRunner;
//# sourceMappingURL=DomRunner.js.map