import { DomRunner, IDomRunnerArgs, IDomRunnerOptions } from './DomRunner';
import { IRunnerScraperOptions, ISourceData, ISourceScraper, Scrap, Source, SourceRunnerScraper } from 'source-scraper-core';
import { ConstructorOptions as JSDOMOptions } from 'jsdom';
export declare type ISimpleDomScraperOptions = IRunnerScraperOptions<IDomRunnerOptions>;
export declare type ISimpleDomScraperSourceData = ISourceData<Source>;
export declare class SimpleDomScraper extends SourceRunnerScraper<ISimpleDomScraperSourceData, IDomRunnerOptions, IDomRunnerArgs, DomRunner<ISimpleDomScraperSourceData>> implements ISourceScraper<ISimpleDomScraperSourceData> {
    name: string;
    domains: string[];
    urlPattern: RegExp;
    runner: DomRunner<ISimpleDomScraperSourceData>;
    defaultOptions: ISimpleDomScraperOptions;
    scrapFromHtml(url: string, html: string, jsdomOptions?: JSDOMOptions, options?: ISimpleDomScraperOptions): Promise<Scrap<ISimpleDomScraperSourceData>>;
    protected execWithArgs({ document }: IDomRunnerArgs): Promise<ISimpleDomScraperSourceData>;
}
